import { Config, StyleTagFactory, FileCache } from '../types';
interface Asset {
    source(): string;
    size(): number;
}
interface Compilation {
    assets: {
        [key: string]: Asset;
    };
}
export declare class BasePlugin {
    protected readonly config: Config;
    protected cssStyleCache: FileCache;
    protected get replaceConfig(): import("../types").ReplaceConfig;
    protected get styleTagFactory(): StyleTagFactory;
    constructor(config?: Config);
    protected prepare({ assets }: Compilation): void;
    protected getCSSStyle({ cssLink, publicPath, }: {
        cssLink: string;
        publicPath: string;
    }): string | undefined;
    protected isCurrentFileNeedsToBeInlined(fileName: string): boolean;
    protected addStyle({ html, htmlFileName, style, }: {
        html: string;
        htmlFileName: string;
        style: string;
    }): string;
    protected cleanUp(html: string): string;
}
export {};
